Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutlineProvider

Collision detection contour. More...

Derived from: none
Derived by: CL_OutlineProviderBitmap CL_OutlineProviderFile
Group: Display (Collision)

#include <ClanLib/display.h>

Construction:

CL_OutlineProvider | Construct a outline provider

Attributes:

get_contours | return the countours that make up the outline
get_width | return the width of the image used as basis for outline creation, or -1 when loading a precompiled outline.
get_height | return the height of the image used as basis for outline creation, or -1 when loading a precompiled outline.

Detailed description:

!group=Display/Collision ! !header=display.h!

Abstract Base class for outline providers. Don't use this!

Questions or comments, write to the ClanLib mailing list.